Submit for onboarding
curl --request POST \
--url https://api.conduit.financial/customers/{id}/submit \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>' \
--data '
{
"forceApproval": false
}
'import requests
url = "https://api.conduit.financial/customers/{id}/submit"
payload = { "forceApproval": False }
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
'X-API-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({forceApproval: false})
};
fetch('https://api.conduit.financial/customers/{id}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": "manual_review",
"livenessLinks": [
{
"controlPersonId": "ctl_34yPkFSqTUpwOwe0zoovDKU9Yad",
"verificationUrl": "https://verify.example.com/?verification_session_id=abc"
}
]
}Customers
Submit for onboarding
Submit a customer for onboarding verification
POST
/
customers
/
{id}
/
submit
Submit for onboarding
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Path Parameters
A valid Customer ID
Pattern:
^cus_[a-zA-Z0-9]{27}$Example:
"cus_2ofTA13AD0xBtbEvBl20aEb1hEu"
Body
application/json
⌘I

